org.h2.engine

## Class UndoLog

- java.lang.Object
- - org.h2.engine.UndoLog

    public class UndoLog
    extends java.lang.Object

Each session keeps a undo log if rollback is required.

### Method Summary

Methods
`UndoLogRecord` `getLast()` Get the last record and remove it from the list of operations.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### getLast

    public UndoLogRecord getLast()

Get the last record and remove it from the list of operations.

Returns:
  the last record